msgpack::adaptor::as< std::forward_list< T, Alloc >, typename std::enable_if< msgpack::has_as< T >::value >::type > Struct Template Reference

`#include <forward_list.hpp>`

## Public Member Functions

std::forward_list< T, Alloc > | operator() (msgpack::object const &o) const

## Member Function Documentation

## operator()()

template<typename T , typename Alloc >

std::forward_list<T, Alloc> msgpack::adaptor::as< std::forward_list< T, Alloc >, typename std::enable_if< msgpack::has_as< T >::value >::type >::operator() | ( | msgpack::object const & | o | ) | const

inline

References msgpack::type::ARRAY, msgpack::object::union_type::array, msgpack::object::as(), msgpack::object_array::ptr, msgpack::object_array::size, msgpack::object::type, and msgpack::object::via.

The documentation for this struct was generated from the following file:

- /build/msgpack-c-9A5dfz/msgpack-c-2.1.5/include/msgpack/v1/adaptor/cpp11/forward_list.hpp